/**
 * Main5 部件模型
 *
 * @export
 * @class Main5Model
 */
export default class Main5Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main5Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'emitempuseid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'emitempusename',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'emitempuseid',
        prop: 'emitempuseid',
        dataType: 'GUID',
      },
      {
        name: 'pusetype',
        prop: 'pusetype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'itemname',
        prop: 'itemname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'mservicename',
        prop: 'mservicename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'labservicename',
        prop: 'labservicename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'asum',
        prop: 'asum',
        dataType: 'FLOAT',
      },
      {
        name: 'purplanname',
        prop: 'purplanname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'aempname',
        prop: 'aempname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'adate',
        prop: 'adate',
        dataType: 'DATETIME',
      },
      {
        name: 'useto',
        prop: 'useto',
        dataType: 'SSCODELIST',
      },
      {
        name: 'woname',
        prop: 'woname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'equipname',
        prop: 'equipname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'objname',
        prop: 'objname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'equips',
        prop: 'equips',
        dataType: 'TEXT',
      },
      {
        name: 'deptname',
        prop: 'deptname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'teamname',
        prop: 'teamname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'pusestate',
        prop: 'pusestate',
        dataType: 'NSCODELIST',
      },
      {
        name: 'apprdesc',
        prop: 'apprdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'sapcbzx',
        prop: 'sapcbzx',
        dataType: 'SSCODELIST',
      },
      {
        name: 'sapllyt',
        prop: 'sapllyt',
        dataType: 'SSCODELIST',
      },
      {
        name: 'remark',
        prop: 'remark',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'storename',
        prop: 'storename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'storepartname',
        prop: 'storepartname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'psum',
        prop: 'psum',
        dataType: 'FLOAT',
      },
      {
        name: 'price',
        prop: 'price',
        dataType: 'CURRENCY',
      },
      {
        name: 'amount',
        prop: 'amount',
        dataType: 'CURRENCY',
      },
      {
        name: 'batcode',
        prop: 'batcode',
        dataType: 'TEXT',
      },
      {
        name: 'sempname',
        prop: 'sempname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'sdate',
        prop: 'sdate',
        dataType: 'DATETIME',
      },
      {
        name: 'empname',
        prop: 'empname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'apprempname',
        prop: 'apprempname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'apprdate',
        prop: 'apprdate',
        dataType: 'DATETIME',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'SSCODELIST',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'emitempuse',
        prop: 'emitempuseid',
        dataType: 'FONTKEY',
      },
    ]
  }

}